{
  "parent": "minecraft:item/generated",
  "textures": {
    "layer0": "minecraft:item/carrot_on_a_stick"
  },
  "overrides": [
    {
      "predicate": {
        "custom_model_data": 2
      },
      "model": "minecraft:item/dash"
    }
  ]
}
